Bug 1088778 - radiusd couldn't be started in FIPS mode if rlm_eap module is loaded
Summary: radiusd couldn't be started in FIPS mode if rlm_eap module is loaded
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: freeradius
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Nikolai Kondrashov
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: BaseOS-FIPS-Tracker 13077 1088782
TreeView+ depends on / blocked
 
Reported: 2014-04-17 07:35 UTC by David Spurek
Modified: 2015-03-02 05:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1088782 (view as bug list)
Environment:
Last Closed: 2014-08-25 10:12:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Spurek 2014-04-17 07:35:54 UTC
Description of problem:
radiusd couldn't be started in FIPS mode if rlm_eap module is loaded


Version-Release number of selected component (if applicable):
freeradius-2.1.12-4.el6_3

How reproducible:


Steps to Reproduce:
1.run radiusd-X
2.
3.

Actual results:
radiusd -X fails with
rlm_eap_tls: Couldn't set ephemeral RSA key
rlm_eap: Failed to initialize type tls
/etc/raddb/eap.conf[17]: Instantiation failed for module "eap"

Expected results:
radiusd is running

Additional info:
Error message tls: Couldn't set ephemeral RSA key comes from generate_eph_rsa_key function in src/main/tls.c

This function calls RSA_generate_key(512, RSA_F4, NULL, NULL); which is the probably source of the problem.

Comment 3 Nikolai Kondrashov 2014-08-25 10:12:28 UTC
Closing as WONTFIX as fixing this won't make radiusd function in FIPS mode anyway, due to protocol requiring the use of MD5 which is not permitted in FIPS mode.


Note You need to log in before you can comment on or make changes to this bug.